Package org.drinkless.tdlib

# Class TdApi.ProfileAccentColors

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ProfileAccentColors

Enclosing class:
  `TdApi`

public static class TdApi.ProfileAccentColors extends TdApi.Object
Contains information about supported accent colors for user profile photo background in RGB format.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `backgroundColors`
  The list of 1-2 colors in RGB format, describing the colors, as expected to be used for the profile photo background.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `paletteColors`
  The list of 1-2 colors in RGB format, describing the colors, as expected to be shown in the color palette settings.
  `int[]`
  `storyColors`
  The list of 2 colors in RGB format, describing the colors of the gradient to be used for the unread active story indicator around profile photo.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfileAccentColors()`
  Contains information about supported accent colors for user profile photo background in RGB format.
  `ProfileAccentColors(int[] paletteColors, int[] backgroundColors, int[] storyColors)`
  Contains information about supported accent colors for user profile photo background in RGB format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### paletteColors

    public int[] paletteColors
    The list of 1-2 colors in RGB format, describing the colors, as expected to be shown in the color palette settings.

  - ### backgroundColors

    public int[] backgroundColors
    The list of 1-2 colors in RGB format, describing the colors, as expected to be used for the profile photo background.

  - ### storyColors

    public int[] storyColors
    The list of 2 colors in RGB format, describing the colors of the gradient to be used for the unread active story indicator around profile photo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProfileAccentColors

    public ProfileAccentColors()
    Contains information about supported accent colors for user profile photo background in RGB format.

  - ### ProfileAccentColors

    public ProfileAccentColors(int[] paletteColors, int[] backgroundColors, int[] storyColors)
    Contains information about supported accent colors for user profile photo background in RGB format.
    Parameters:
      `paletteColors` - The list of 1-2 colors in RGB format, describing the colors, as expected to be shown in the color palette settings.
      `backgroundColors` - The list of 1-2 colors in RGB format, describing the colors, as expected to be used for the profile photo background.
      `storyColors` - The list of 2 colors in RGB format, describing the colors of the gradient to be used for the unread active story indicator around profile photo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR